# eric3.VCS.subversionPackage.StatusDialog

Module implementing a dialog to show the output of the svn status command process.

### Classes

SvnStatusDialog | Module implementing a dialog to show the output of the svn status command process.

### Functions

None

## SvnStatusDialog

Module implementing a dialog to show the output of the svn status command process.

### Derived from

StatusForm

### Methods

SvnStatusDialog | Constructor
buttonPressed | Private slot connected to the button clicked signal.
closeEvent | Private slot implementing a close event handler.
finish | Private slot called when the process finished or the user pressed the button.
getModifiedItems | Private method to retrieve all emtries, that have a modified status.
handleCommit | Private slot to handle the Commit context menu entry.
handleContextMenu | Private slot to show the context menu of the listview.
handleProcessExited | Private slot to handle the processExited signal.
handleReadStderr | Private slot to handle the readyReadStderr signal.
handleReadStdout | Private slot to handle the readyReadStdout signal.
keyPressEvent | Protected slot to handle a key press event.
passwordMode | Private slot to handle the password checkbox toggled.
refreshStatus | Private slot to refresh the status display.
returnPressed | Private slot to handle the press of the return key in the input field.
sendInput | Private slot to send the input to the subversion process.
start | Public slot to start the svn status command.

### SvnStatusDialog (Constructor)

SvnStatusDialog(vcs, parent = None)

Constructor

vcs
  -- reference to the vcs object
parent
  -- parent widget (QWidget)

### SvnStatusDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### SvnStatusDialog.closeEvent

closeEvent(e)

Private slot implementing a close event handler.

e
  -- close event (QCloseEvent)

### SvnStatusDialog.finish

finish()

Private slot called when the process finished or the user pressed the button.

### SvnStatusDialog.getModifiedItems

getModifiedItems()

Private method to retrieve all emtries, that have a modified status.

Returns:
  list of all items with a modified status

### SvnStatusDialog.handleCommit

handleCommit()

Private slot to handle the Commit context menu entry.

### SvnStatusDialog.handleContextMenu

handleContextMenu(itm, coord, col)

Private slot to show the context menu of the listview.

itm
  the selected listview item (QListViewItem)
coord
  the position of the mouse pointer (QPoint)
col
  the column of the mouse pointer (int)

### SvnStatusDialog.handleProcessExited

handleProcessExited()

Private slot to handle the processExited signal. Just call finish().

### SvnStatusDialog.handleReadStderr

handleReadStderr()

Private slot to handle the readyReadStderr signal. It reads the error output of the process and inserts it into the error pane.

### SvnStatusDialog.handleReadStdout

handleReadStdout()

Private slot to handle the readyReadStdout signal. It reads the output of the process, formats it and inserts it into the contents pane.
Note: If the order gets changed, the handleCommit and getModifiedItems method need to be changed accordingly.

### SvnStatusDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

### SvnStatusDialog.passwordMode

passwordMode(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

### SvnStatusDialog.refreshStatus

refreshStatus()

Private slot to refresh the status display.

### SvnStatusDialog.returnPressed

returnPressed()

Private slot to handle the press of the return key in the input field.

### SvnStatusDialog.sendInput

sendInput()

Private slot to send the input to the subversion process.

### SvnStatusDialog.start

start(fn)

Public slot to start the svn status command.

fn
  filename(s) to show the status of (string or list of strings)

Up